
import sys,os
import streamlit as st 
import ptvsd
import pandas as pd

st.header('sdfsdfs')
st.write(sys.executable)
st.write(sys.version)
st.write(sys.builtin_module_names)


st.header('sdfsdfs')


#ptvsd.enable_attach()#, redirect_output=True)
#ptvsd.wait_for_attach()

print("hello World")
#####


import PyPDF2
pwd=r'n7E;~||ZOs+sDuptXAu'
filename='/home/dl92/Downloads/PGPMessage.pdf'
filename='/home/dl92/Downloads/Transaction.pdf'
pdfFileObj = open(filename,'rb')     #'rb' for read binary mode
pdfFile = PyPDF2.PdfFileReader(pdfFileObj)

if pdfFile.isEncrypted:
    try:
        pdfFile.decrypt(pwd)
        print('File Decrypted (PyPDF2)')
    except:
        command = ("cp "+ filename +
            " temp.pdf; qpdf --password=n7E;~||ZOs+sDuptXAu --decrypt temp.pdf " + filename
            + "; rm temp.pdf")
        print (command)
        os.system(command)
        print('File Decrypted (qpdf)')
        fp = open(filename)
        pdfFile = PyPDF2.PdfFileReader(fp)


print(pdfFile.numPages)
pageObj = pdfFile.getPage(2)          #'9' is the page number
pageObj.extractText()



st.header('sdfsdfs')

for i in range(1, 40):
    st.write(i)


import pandas as pd

print (pd.__name__)

import requests

